## org.mortbay.jetty.client
Class HttpDestination

    java.lang.Object
      org.mortbay.jetty.client.HttpDestination

    public class HttpDestination

extends Object

Author:
  Greg Wilkins, Guillaume Nodet

Method Summary
`void` `addAuthorization(String pathSpec, Authorization authorization)`
`void` `addCookie(Cookie cookie)`
`void` `close()`
`protected void` `doSend(HttpExchange ex)`
`void` `dump()`
`Address` `getAddress()`
`HttpConnection` `getConnection()`
`Buffer` `getHostHeader()`
`HttpClient` `getHttpClient()`
`HttpConnection` `getIdleConnection()`
`Address` `getProxy()`
`Authorization` `getProxyAuthentication()`
`boolean` `isProxied()`
`boolean` `isSecure()`
`void` `onConnectionFailed(Throwable throwable)`
`void` `onException(Throwable throwable)`
`void` `onNewConnection(HttpConnection connection)`
`void` `resend(HttpExchange ex)`
`void` `returnConnection(HttpConnection connection, boolean close)`
`void` `send(HttpExchange ex)`
`void` `setProxy(Address proxy)`
`void` `setProxyAuthentication(Authorization authentication)`
`protected void` `startNewConnection()`
`String` `toDetailString()`
`String` `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Method Detail

### dump

    public void dump()
              throws IOException

  Throws:
    `IOException`

### getAddress

    public Address getAddress()

### getHostHeader

    public Buffer getHostHeader()

### getHttpClient

    public HttpClient getHttpClient()

### isSecure

    public boolean isSecure()

### addAuthorization

    public void addAuthorization(String pathSpec,
                                 Authorization authorization)

### addCookie

    public void addCookie(Cookie cookie)

### getConnection

    public HttpConnection getConnection()
                                 throws IOException

  Throws:
    `IOException`

### getIdleConnection

    public HttpConnection getIdleConnection()
                                     throws IOException

  Throws:
    `IOException`

### startNewConnection

    protected void startNewConnection()

### onConnectionFailed

    public void onConnectionFailed(Throwable throwable)

### onException

    public void onException(Throwable throwable)

### onNewConnection

    public void onNewConnection(HttpConnection connection)
                         throws IOException

  Throws:
    `IOException`

### returnConnection

    public void returnConnection(HttpConnection connection,
                                 boolean close)
                          throws IOException

  Throws:
    `IOException`

### send

    public void send(HttpExchange ex)
              throws IOException

  Throws:
    `IOException`

### resend

    public void resend(HttpExchange ex)
                throws IOException

  Throws:
    `IOException`

### doSend

    protected void doSend(HttpExchange ex)
                   throws IOException

  Throws:
    `IOException`

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

### toDetailString

    public String toDetailString()

### setProxy

    public void setProxy(Address proxy)

### getProxy

    public Address getProxy()

### getProxyAuthentication

    public Authorization getProxyAuthentication()

### setProxyAuthentication

    public void setProxyAuthentication(Authorization authentication)

### isProxied

    public boolean isProxied()

### close

    public void close()
               throws IOException

  Throws:
    `IOException`

Copyright © 1995-2008 Mort Bay Consulting. All Rights Reserved.